### Method

# AppStream SystemInfo has_input_control

#### Declaration [src]

    AsCheckResult
    as_system_info_has_input_control (
      AsSystemInfo* sysinfo,
      AsControlKind kind,
      GError** error
    )

#### Description [src]

Test if the current system has a specific user input control method. Returns `AS_CHECK_RESULT_UNKNOWN` if we could not test for an input control method, `AS_CHECK_RESULT_ERROR` on error and `AS_CHECK_RESULT_FALSE` if the control was not found.

#### Parameters

`kind`

  Type: `AsControlKind`

  The `AsControlKind` to test for.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AsCheckResult`

`AS_CHECK_RESULT_TRUE` if control was found.